Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class IllegalComponentStateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalStateException
                      java.awt.IllegalComponentStateException

All Implemented Interfaces:
  Serializable

    public class IllegalComponentStateException

extends IllegalStateException

Signals that an AWT component is not in an appropriate state for the requested operation.

See Also:
  Serialized Form

Constructor Summary
`IllegalComponentStateException()` Constructs an IllegalComponentStateException with no detail message.
`IllegalComponentStateException(String s)` Constructs an IllegalComponentStateException with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalComponentStateException

    public IllegalComponentStateException()

  Constructs an IllegalComponentStateException with no detail message. A detail message is a String that describes this particular exception.

### IllegalComponentStateException

    public IllegalComponentStateException(String s)

  Constructs an IllegalComponentStateException with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `s` - the String that contains a detailed message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.